libebook::BBeBAttributes Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libebook::BBeBAttributes Struct Reference

`#include <BBeBTypes.h>`

## Public Member Functions
| BBeBAttributes ()

## Public Attributes
boost::optional< unsigned > | fontSize
boost::optional< unsigned > | fontWidth
boost::optional< unsigned > | fontEscapement
boost::optional< unsigned > | fontOrientation
boost::optional< unsigned > | fontWeight
boost::optional< std::string > | fontFacename
boost::optional< BBeBColor > | textColor
boost::optional< BBeBColor > | textBgColor
boost::optional< unsigned > | wordSpace
boost::optional< unsigned > | letterSpace
boost::optional< unsigned > | baseLineSkip
boost::optional< unsigned > | lineSpace
boost::optional< unsigned > | parIndent
boost::optional< unsigned > | parSkip
boost::optional< unsigned > | height
boost::optional< unsigned > | width
boost::optional< unsigned > | locationX
boost::optional< unsigned > | locationY
bool | italic
bool | sup
bool | sub
bool | heading
boost::optional< BBeBEmptyLine > | emptyLine
boost::optional< BBeBAlign > | align
boost::optional< unsigned > | topSkip
boost::optional< unsigned > | topMargin
boost::optional< unsigned > | oddSideMargin
boost::optional< unsigned > | evenSideMargin

## Constructor & Destructor Documentation

## ◆ BBeBAttributes()

libebook::BBeBAttributes::BBeBAttributes | ( |  | ) |

## Member Data Documentation

## ◆ align

boost::optional<BBeBAlign> libebook::BBeBAttributes::align

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ baseLineSkip

boost::optional<unsigned> libebook::BBeBAttributes::baseLineSkip

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ emptyLine

boost::optional<BBeBEmptyLine> libebook::BBeBAttributes::emptyLine

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ evenSideMargin

boost::optional<unsigned> libebook::BBeBAttributes::evenSideMargin

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ fontEscapement

boost::optional<unsigned> libebook::BBeBAttributes::fontEscapement

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ fontFacename

boost::optional<std::string> libebook::BBeBAttributes::fontFacename

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ fontOrientation

boost::optional<unsigned> libebook::BBeBAttributes::fontOrientation

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ fontSize

boost::optional<unsigned> libebook::BBeBAttributes::fontSize

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ fontWeight

boost::optional<unsigned> libebook::BBeBAttributes::fontWeight

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ fontWidth

boost::optional<unsigned> libebook::BBeBAttributes::fontWidth

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ heading

bool libebook::BBeBAttributes::heading

Referenced by BBeBAttributes(), and libebook::BBeBParser::readBlockObject().

## ◆ height

boost::optional<unsigned> libebook::BBeBAttributes::height

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ italic

bool libebook::BBeBAttributes::italic

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ letterSpace

boost::optional<unsigned> libebook::BBeBAttributes::letterSpace

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ lineSpace

boost::optional<unsigned> libebook::BBeBAttributes::lineSpace

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ locationX

boost::optional<unsigned> libebook::BBeBAttributes::locationX

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ locationY

boost::optional<unsigned> libebook::BBeBAttributes::locationY

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ oddSideMargin

boost::optional<unsigned> libebook::BBeBAttributes::oddSideMargin

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ parIndent

boost::optional<unsigned> libebook::BBeBAttributes::parIndent

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ parSkip

boost::optional<unsigned> libebook::BBeBAttributes::parSkip

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ sub

bool libebook::BBeBAttributes::sub

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ sup

bool libebook::BBeBAttributes::sup

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ textBgColor

boost::optional<BBeBColor> libebook::BBeBAttributes::textBgColor

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ textColor

boost::optional<BBeBColor> libebook::BBeBAttributes::textColor

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ topMargin

boost::optional<unsigned> libebook::BBeBAttributes::topMargin

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ topSkip

boost::optional<unsigned> libebook::BBeBAttributes::topSkip

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ width

boost::optional<unsigned> libebook::BBeBAttributes::width

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

## ◆ wordSpace

boost::optional<unsigned> libebook::BBeBAttributes::wordSpace

Referenced by BBeBAttributes(), and libebook::BBeBParser::readAttribute().

The documentation for this struct was generated from the following files:

- BBeBTypes.h
- BBeBTypes.cpp